
TEMPLATE	= lib
CONFIG		+= plugin
#CONFIG		+= debug
#CONFIG		+= silent
DESTDIR		= ../../
INSTALLS	+= target

linux-g++*:QMAKE_LFLAGS += $$QMAKE_LFLAGS_NOUNDEF

win32:LIBS += ../../core.lib
win64:LIBS += ../../core.lib
unix:LIBS += -L../../ -lcore
macx:LIBS += -L../../ -lcore

unix {
	INCLUDEPATH	+= ../../include/os/unix ../../include ../../include/arch/$$QT_ARCH ../../include/arch/$$QT_ARCH/edisassm
	DEPENDPATH	+= ../../include/os/unix ../../include ../../include/arch/$$QT_ARCH ../../include/arch/$$QT_ARCH/edisassm
	
	include(plugins-$${QT_ARCH}.pri)
}

win32 {
	INCLUDEPATH	+= ../../include/os/win32 ../../include ../../include/arch/i386 ../../include/arch/i386/edisassm
	DEPENDPATH	+= ../../include/os/win32 ../../include ../../include/arch/i386 ../../include/arch/i386/edisassm
}

win64 {
	INCLUDEPATH	+= ../../include/os/win64 ../../include ../../include/arch/x86_64 ../../include/arch/x86_64/edisassm
	DEPENDPATH	+= ../../include/os/win64 ../../include ../../include/arch/x86_64 ../../include/arch/x86_64/edisassm
}

macx {
	INCLUDEPATH	+= ../../include/os/osx ../../include ../../include/arch/i386 ../../include/arch/i386/edisassm
	DEPENDPATH	+= ../../include/os/osx ../../include ../../include/arch/i386 ../../include/arch/i386/edisassm
}
